$offlisting
*  MINLP written by GAMS Convert at 04/18/01 12:06:38
*  
*  Equation counts
*     Total       E       G       L       N       X
*        32      18       2      12       0       0
*  
*  Variable counts
*                 x       b       i     s1s     s2s      sc      si
*     Total    cont  binary integer    sos1    sos2   scont    sint
*        33      25       8       0       0       0       0       0
*  FX     0       0       0       0       0       0       0       0
*  
*  Nonzero counts
*     Total   const      NL     DLL
*       100      95       5       0
*
*  Solve m using MINLP minimizing objvar;


Variables  b1,b2,b3,b4,b5,b6,b7,b8,x9,x10,x11,x12,x16,x17,x21,x24,x25,x26
		   ,x27,x28,x29,x32,objvar;

Positive Variables x9,x10,x11,x12,x16,x17,x21
          ,x24,x25,x26,x27,x28,x29,x32;

Binary Variables b1,b2,b3,b4,b5,b6,b7,b8;

Equations  e1;


e1..  - 8*b1 - 6*b2 - 10*b3 - 6*b4 - 7*b5 - 4*b6 - 5*b7 - 5*b8 - x9 + 10*x10
       - x11 + 15*x12 + 40*x16 - 15*x17 - 15*x21 - 80*x24 + 65*x25 - 25*x26
       + 60*x27 - 35*x28 + 80*x29 + 35*x32 + objvar =E= 122;

* set non default bounds

x9.up = 10000;
x10.up = 2; 
x11.up = 10000;
x12.up = 2; 
x16.up = 2; 
x17.up = 1; 
x21.up = 1; 
x24.up = 2; 
x26.up = 2; 
x28.up = 2; 
x32.up = 3; 

* Some new bounds
x25.up = 100;
x27.up = 100;
x29.up = 100;

$if set nostart $goto modeldef
* set non default levels


x9.l = 2; 
x10.l = 1.5; 
x16.l = 0.75; 
x25.l = 0.75; 
x27.l = 1.5; 
x32.l = 0.5; 

* set non default marginals


$label modeldef
Model m / all /;

m.limrow=0; m.limcol=0;

$if NOT '%gams.u1%' == '' $include '%gams.u1%'

$if not set MINLP $set MINLP MINLP
Solve m using %MINLP% minimizing objvar;
