$offlisting
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*         93       17        0       76        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         54       45        9        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*        454      262      192        0
*
*  Solve m using MINLP minimizing objvar;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21,x22,x23,x24,x25,x26,x27,x28,x29,x30,x31,x32,
		  b45,b46,b47,b48,b49,b50,b51,b52,b53
          ,objvar;

Positive Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17
          ,x18,x19,x20,x21,x22,x23,x24,x25,x26,x27,x28,x29,x30,x31,x32;

Binary Variables  b45,b46,b47,b48,b49,b50,b51,b52,b53;

Equations  e1;


e1..  - 6.2*x1 - 9.4*x2 - 7.6*x3 - 10.2*x4 - 1.67*x5 - 2.53*x6 - 2.05*x7
      - 2.75*x8 - 3.58*x9 - 5.42*x10 - 4.39*x11 - 5.89*x12 - 4.53*x13
      - 6.87*x14 - 5.55*x15 - 7.45*x16 - 2.62*x17 - 3.98*x18 - 3.22*x19
      - 4.32*x20 + 10.5*x21 + 11.2*x22 + 12.5*x23 + 10.5*x24 + 11.2*x25
      + 12.5*x26 + 10.5*x27 + 11.2*x28 + 12.5*x29 + 10.5*x30 + 11.2*x31
      + 12.5*x32 - 260*b45 - 70*b46 - 150*b47 - 190*b48 - 110*b49 - 310*b50
      - 470*b51 - 380*b52 - 510*b53 + objvar =E= 0;

* set non-default bounds
x1.up = 686;
x2.up = 686;
x3.up = 686;
x4.up = 686;
x5.up = 686;
x6.up = 686;
x7.up = 686;
x8.up = 686;
x9.up = 686;
x10.up = 686;
x11.up = 686;
x12.up = 686;
x13.up = 686;
x14.up = 686;
x15.up = 686;
x16.up = 686;
x17.up = 686;
x18.up = 686;
x19.up = 686;
x20.up = 686;
x21.up = 229;
x22.up = 173;
x23.up = 284;
x24.up = 229;
x25.up = 173;
x26.up = 284;
x27.up = 229;
x28.up = 173;
x29.up = 284;
x30.up = 229;
x31.up = 173;
x32.up = 284;

* set non-default levels

Model m / all /;

m.limrow=0; m.limcol=0;

$if NOT '%gams.u1%' == '' $include '%gams.u1%'

$if not set MINLP $set MINLP MINLP
Solve m using %MINLP% minimizing objvar;
