$offlisting
*  MINLP written by GAMS Convert at 04/17/01 16:41:11
*  
*  Equation counts
*     Total       E       G       L       N       X
*        32      23       5       4       0       0
*  
*  Variable counts
*                 x       b       i     s1s     s2s      sc      si
*     Total    cont  binary integer    sos1    sos2   scont    sint
*        30      28       2       0       0       0       0       0
*  FX     0       0       0       0       0       0       0       0
*  
*  Nonzero counts
*     Total   const      NL     DLL
*        99      87      12       0
*
*  Solve m using MINLP minimizing objvar;


Variables  x1,x4,x5,x6,x9,x10,x11,x12,b28,b29,objvar;

Positive Variables x1,x4,x5,x6,x9,x10,x11,x12;

Binary Variables b28,b29;

Equations  e1;


e1..    35*x1 + 30*x4 - 10*x5 - 8*x6 - x9 - x10 - 4*x11 - 4*x12 - 50*b28
       - 2*b29 + objvar =E= 0;

* set non default bounds

x1.up = 50; 
x4.up = 50; 
x5.up = 25; 
x6.up = 25;  
x9.up = 50; 
x10.up = 50; 
x11.up = 50; 
x12.up = 50; 

$if set nostart $goto modeldef
* set non default levels

x1.l = 10; 
x4.l = 14;
x5.l = 8;
x6.l = 25;
b28.l = 0.5;
b29.l = 0.5;
* set non default marginals


$label modeldef
Model m / all /;

m.limrow=0; m.limcol=0;

$if NOT '%gams.u1%' == '' $include '%gams.u1%'

$if not set MINLP $set MINLP MINLP
Solve m using %MINLP% minimizing objvar;
