$offlisting
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*         11        6        0        5        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         21       11       10        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         51       21       30        0
*
*  Solve m using MINLP minimizing objvar;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,b11,b12,b13,b14,b15,b16,b17,b18,b19
          ,b20,objvar;

Binary Variables  b11,b12,b13,b14,b15,b16,b17,b18,b19,b20;

Equations  e1;


e1.. sqrt(sqr(x1 - x3) + sqr(x2 - x4))*b11 + sqrt(sqr(x1 - x5) + sqr(x2 - x6))*
     b12 + sqrt(sqr(x1 - x7) + sqr(x2 - x8))*b13 + sqrt(sqr(x1 - x9) + sqr(x2
      - x10))*b14 + sqrt(sqr(x3 - x5) + sqr(x4 - x6))*b15 + sqrt(sqr(x3 - x7)
      + sqr(x4 - x8))*b16 + sqrt(sqr(x3 - x9) + sqr(x4 - x10))*b17 + sqrt(sqr(
     x5 - x7) + sqr(x6 - x8))*b18 + sqrt(sqr(x5 - x9) + sqr(x6 - x10))*b19 + 
     sqrt(sqr(x7 - x9) + sqr(x8 - x10))*b20 - objvar =E= 0;


* set non-default bounds
x1.lo = 68; x1.up = 71;
x2.lo = 65; x2.up = 87;
x3.lo = 107; x3.up = 126;
x4.lo = 38; x4.up = 49;
x5.lo = 40; x5.up = 55;
x6.lo = 54; x6.up = 68;
x7.lo = 92; x7.up = 106;
x8.lo = 113; x8.up = 117;
x9.lo = 82; x9.up = 87;
x10.lo = 76; x10.up = 85;

* set non-default levels
x1.l = 68;
x2.l = 65;
x3.l = 107;
x4.l = 38;
x5.l = 40;
x6.l = 54;
x7.l = 92;
x8.l = 113;
x9.l = 82;
x10.l = 76;

Model m / all /;

m.limrow=0; m.limcol=0;

$if NOT '%gams.u1%' == '' $include '%gams.u1%'

$if not set MINLP $set MINLP MINLP
Solve m using %MINLP% minimizing objvar;
