$offlisting
*  MINLP written by GAMS Convert at 04/17/01 16:38:39
*  
*  Equation counts
*     Total       E       G       L       N       X
*        19      11       2       6       0       0
*  
*  Variable counts
*                 x       b       i     s1s     s2s      sc      si
*     Total    cont  binary integer    sos1    sos2   scont    sint
*        23      17       6       0       0       0       0       0
*  FX     0       0       0       0       0       0       0       0
*  
*  Nonzero counts
*     Total   const      NL     DLL
*        75      59      16       0
*
*  Solve m using MINLP minimizing objvar;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,b21,b22,objvar;

Positive Variables x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16;

Binary Variables b21,b22;

Equations  e1;


e1..  - (50*(x1 + x2 + x3 + x4 + x9 + x10 + x11 + x12)**2.5 + 70*(x5 + x6 + x7
      + x8 + x13 + x14 + x15 + x16)**2.5 + 10*x1 + 15*x2 + 20*x3 + 10*x4 + 5*x5
      + 5*x6 + 30*x7 + 10*x8 + 25*x9 + 20*x10 + 15*x11 + 20*x12 + 30*x13 + 10*
     x14 + 10*x15 + 30*x16) - 2000*b21 - 2500*b22 + objvar =E= 0;


* set non default bounds

x1.up = 300; 
x2.up = 300; 
x3.up = 300; 
x4.up = 300; 
x5.up = 300; 
x6.up = 300; 
x7.up = 300; 
x8.up = 300; 
x9.up = 300; 
x10.up = 300; 
x11.up = 300; 
x12.up = 300; 
x13.up = 300; 
x14.up = 300; 
x15.up = 300; 
x16.up = 300; 

$if set nostart $goto modeldef
* set non default levels


* set non default marginals


$label modeldef
Model m / all /;

m.limrow=0; m.limcol=0;

$if NOT '%gams.u1%' == '' $include '%gams.u1%'

$if not set MINLP $set MINLP MINLP
Solve m using %MINLP% minimizing objvar;
