$offlisting
*  MINLP written by GAMS Convert at 08/29/02 11:38:03
*  
*  Equation counts
*     Total       E       G       L       N       X       C
*        40      16       6      18       0       0       0
*  
*  Variable counts
*                 x       b       i     s1s     s2s      sc      si
*     Total    cont  binary integer    sos1    sos2   scont    sint
*        33      26       7       0       0       0       0       0
*  FX     0       0       0       0       0       0       0       0
*  
*  Nonzero counts
*     Total   const      NL     DLL
*       131     115      16       0
*
*  Solve m using MINLP minimizing objvar;


Variables  b1,b2,b3,b4,b5,b6,b7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21,x22,x23,objvar;

Positive Variables x17,x18,x19,x20,x21,x22,x23;

Binary Variables b1,b2,b3,b4,b5,b6,b7;

Equations  e1;


e1..  - (670*(x17/(0.5*(sqr(x8)*x9 + x8*sqr(x9)))**0.333333333333333)**0.83 + 
      670*(x18/(0.5*(sqr(x9)*x10 + x9*sqr(x10)))**0.333333333333333)**0.83 + 
      670*(0.5*x19/(0.5*(sqr(x11)*x12 + x11*sqr(x12)))**0.333333333333333)**
      0.83 + 670*(0.5*x20/(0.5*(sqr(x12)*x13 + x12*sqr(x13)))**
      0.333333333333333)**0.83 + 670*(0.666666666666667*x21/(1250*sqr(x14))**
      0.333333333333333)**0.83 + 20*x21 + 670*(0.666666666666667*x22/(2450*sqr(
      x15))**0.333333333333333)**0.83 + 120*x22 + 670*(0.4*x23/(8712*sqr(x16))
      **0.333333333333333)**0.83 + 120*x23) - 6600*b1 - 6600*b2 - 6600*b3
       - 6600*b4 - 6600*b5 - 6600*b6 - 6600*b7 + objvar =E= 0;

* set non default bounds

x8.lo = 0.01; x8.up = 1000; 
x9.lo = 0.01; x9.up = 1000; 
x10.lo = 0.01; x10.up = 1000; 
x11.lo = 0.01; x11.up = 1000; 
x12.lo = 0.01; x12.up = 1000; 
x13.lo = 0.01; x13.up = 1000; 
x14.lo = 0.01; x14.up = 1000; 
x15.lo = 0.01; x15.up = 1000; 
x16.lo = 0.01; x16.up = 1000; 
x17.up = 1620; 
x18.up = 1620; 
x19.up = 360; 
x20.up = 360; 
x21.up = 1980; 
x22.up = 1620; 
x23.up = 360; 

$if set nostart $goto modeldef
* set non default levels


* set non default marginals


* set non default priorities

b1.prior = 0.01; 
b2.prior = 0.01; 
b3.prior = 0.01; 
b4.prior = 0.01; 
b5.prior = 0.01; 
b6.prior = 0.01; 
b7.prior = 0.01; 

$label modeldef
Model m / all /;

m.limrow=0; m.limcol=0;
m.prioropt = 0;

$if NOT '%gams.u1%' == '' $include '%gams.u1%'

$if not set MINLP $set MINLP MINLP
Solve m using %MINLP% minimizing objvar;
