$offlisting
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*         31        7        0       24        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         28       25        3        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*        124      118        6        0
*
*  Solve m using MINLP minimizing objvar;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21,x22,x23,x24,b25,b26,b27,objvar;

Positive Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17
          ,x18,x19,x20,x21,x22,x23,x24;

Binary Variables  b25,b26,b27;

Equations  e1;


e1..  - 66.5*x1 - 522.5*x2 - 750.5*x3 - 125.6*x4 - 612.3*x5 - 628*x6 - 69*x7
      - 32.2*x8 - 151.8*x9 - 655.2*x10 - 175.5*x11 - 468*x12 - 330*x13
      - 375*x14 - 75*x15 - 1728*x16 - 1190.4*x17 - 172.8*x18
      - 24.5108139399735*x19 - 24.5071418162135*x20 - 24.5120378589786*x21
      - 0.2352*x22 - 0.2352*x23 - 0.2352*x24 - 100*b25 - 100*b26 - 100*b27
      + objvar =E= 0;


* set non-default bounds
x1.up = 1;
x2.up = 1;
x3.up = 1;
x4.up = 1;
x5.up = 1;
x6.up = 1;
x7.up = 1;
x8.up = 1;
x9.up = 1;
x10.up = 1;
x11.up = 1;
x12.up = 1;
x13.up = 1;
x14.up = 1;
x15.up = 1;
x16.up = 1;
x17.up = 1;
x18.up = 1;
x19.up = 28.2665880502051;
x20.up = 28.2665880502051;
x21.up = 28.2665880502051;
x22.up = 349.499642346026;
x23.up = 349.499642346026;
x24.up = 349.499642346026;

Model m / all /;

m.limrow=0; m.limcol=0;

$if NOT '%gams.u1%' == '' $include '%gams.u1%'

$if not set MINLP $set MINLP MINLP
Solve m using %MINLP% minimizing objvar;
