$offlisting
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*         22       11        0       11        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         66       21       45        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*        179       94       85        0
*
*  Solve m using MINLP minimizing objvar;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,b21,b22,b23,b24,b25,b26,b27,b28,b29,b30,b31,b32,b33,b34,b35,b36
          ,b37,b38,b39,b40,b41,b42,b43,b44,b45,b46,b47,b48,b49,b50,b51,b52,b53
          ,b54,b55,b56,b57,b58,b59,b60,b61,b62,b63,b64,b65,objvar;

Positive Variables  x10;

Binary Variables  b21,b22,b23,b24,b25,b26,b27,b28,b29,b30,b31,b32,b33,b34,b35
          ,b36,b37,b38,b39,b40,b41,b42,b43,b44,b45,b46,b47,b48,b49,b50,b51,b52
          ,b53,b54,b55,b56,b57,b58,b59,b60,b61,b62,b63,b64,b65;

Equations  e1;


e1.. sqrt(sqr(x1 - x3) + sqr(x2 - x4))*b21 + sqrt(sqr(x1 - x5) + sqr(x2 - x6))*
     b22 + sqrt(sqr(x1 - x7) + sqr(x2 - x8))*b23 + sqrt(sqr(x1 - x9) + sqr(x2
      - x10))*b24 + sqrt(sqr(x1 - x11) + sqr(x2 - x12))*b25 + sqrt(sqr(x1 - x13
     ) + sqr(x2 - x14))*b26 + sqrt(sqr(x1 - x15) + sqr(x2 - x16))*b27 + sqrt(
     sqr(x1 - x17) + sqr(x2 - x18))*b28 + sqrt(sqr(x1 - x19) + sqr(x2 - x20))*
     b29 + sqrt(sqr(x3 - x5) + sqr(x4 - x6))*b30 + sqrt(sqr(x3 - x7) + sqr(x4
      - x8))*b31 + sqrt(sqr(x3 - x9) + sqr(x4 - x10))*b32 + sqrt(sqr(x3 - x11)
      + sqr(x4 - x12))*b33 + sqrt(sqr(x3 - x13) + sqr(x4 - x14))*b34 + sqrt(
     sqr(x3 - x15) + sqr(x4 - x16))*b35 + sqrt(sqr(x3 - x17) + sqr(x4 - x18))*
     b36 + sqrt(sqr(x3 - x19) + sqr(x4 - x20))*b37 + sqrt(sqr(x5 - x7) + sqr(x6
      - x8))*b38 + sqrt(sqr(x5 - x9) + sqr(x6 - x10))*b39 + sqrt(sqr(x5 - x11)
      + sqr(x6 - x12))*b40 + sqrt(sqr(x5 - x13) + sqr(x6 - x14))*b41 + sqrt(
     sqr(x5 - x15) + sqr(x6 - x16))*b42 + sqrt(sqr(x5 - x17) + sqr(x6 - x18))*
     b43 + sqrt(sqr(x5 - x19) + sqr(x6 - x20))*b44 + sqrt(sqr(x7 - x9) + sqr(x8
      - x10))*b45 + sqrt(sqr(x7 - x11) + sqr(x8 - x12))*b46 + sqrt(sqr(x7 - x13
     ) + sqr(x8 - x14))*b47 + sqrt(sqr(x7 - x15) + sqr(x8 - x16))*b48 + sqrt(
     sqr(x7 - x17) + sqr(x8 - x18))*b49 + sqrt(sqr(x7 - x19) + sqr(x8 - x20))*
     b50 + sqrt(sqr(x9 - x11) + sqr(x10 - x12))*b51 + sqrt(sqr(x9 - x13) + sqr(
     x10 - x14))*b52 + sqrt(sqr(x9 - x15) + sqr(x10 - x16))*b53 + sqrt(sqr(x9
      - x17) + sqr(x10 - x18))*b54 + sqrt(sqr(x9 - x19) + sqr(x10 - x20))*b55
      + sqrt(sqr(x11 - x13) + sqr(x12 - x14))*b56 + sqrt(sqr(x11 - x15) + sqr(
     x12 - x16))*b57 + sqrt(sqr(x11 - x17) + sqr(x12 - x18))*b58 + sqrt(sqr(x11
      - x19) + sqr(x12 - x20))*b59 + sqrt(sqr(x13 - x15) + sqr(x14 - x16))*b60
      + sqrt(sqr(x13 - x17) + sqr(x14 - x18))*b61 + sqrt(sqr(x13 - x19) + sqr(
     x14 - x20))*b62 + sqrt(sqr(x15 - x17) + sqr(x16 - x18))*b63 + sqrt(sqr(x15
      - x19) + sqr(x16 - x20))*b64 + sqrt(sqr(x17 - x19) + sqr(x18 - x20))*b65
      - objvar =E= 0;

* set non-default bounds
x1.lo = 69; x1.up = 72;
x2.lo = 7; x2.up = 20;
x3.lo = 109; x3.up = 123;
x4.lo = 76; x4.up = 87;
x5.lo = 42; x5.up = 61;
x6.lo = 63; x6.up = 72;
x7.lo = 93; x7.up = 103;
x8.lo = 60; x8.up = 68;
x9.lo = 80; x9.up = 95;
x10.up = 17;
x11.lo = 69; x11.up = 90;
x12.lo = 91; x12.up = 101;
x13.lo = 44; x13.up = 55;
x14.lo = 53; x14.up = 61;
x15.lo = 65; x15.up = 80;
x16.lo = 89; x16.up = 110;
x17.lo = 118; x17.up = 123;
x18.lo = 20; x18.up = 42;
x19.lo = 78; x19.up = 89;
x20.lo = 32; x20.up = 45;

* set non-default levels
x1.l = 69;
x2.l = 7;
x3.l = 109;
x4.l = 76;
x5.l = 42;
x6.l = 63;
x7.l = 93;
x8.l = 60;
x9.l = 80;
x11.l = 69;
x12.l = 91;
x13.l = 44;
x14.l = 53;
x15.l = 65;
x16.l = 89;
x17.l = 118;
x18.l = 20;
x19.l = 78;
x20.l = 32;

Model m / all /;

m.limrow=0; m.limcol=0;

$if NOT '%gams.u1%' == '' $include '%gams.u1%'

$if not set MINLP $set MINLP MINLP
Solve m using %MINLP% minimizing objvar;
